Adobe Flash Player 的可用安全性更新

發佈日期:2015 年 5 月 12 日

上次更新日期: 2015 年 7 月 3 日

弱點識別碼: APSB15-09

優先順序: 請參閱下表

CVE 編號:CVE-2015-3044、CVE-2015-3077、CVE-2015-3078、CVE-2015-3079、CVE-2015-3080、CVE-2015-3081、CVE-2015-3082、CVE-2015-3083、CVE-2015-3084、CVE-2015-3085、CVE-2015-3086、CVE-2015-3087、CVE-2015-3088、CVE-2015-3089、CVE-2015-3090、CVE-2015-3091、CVE-2015-3092、CVE-2015-3093

平台:所有平台

摘要

Adobe 已發佈 Windows、Macintosh 和 Linux 專用 Adobe Flash Player 的安全性更新。這些更新可解決可能允許攻擊者控制受影響系統的弱點。Adobe 建議使用者將其產品安裝更新至最新版本:

  • 使用 Windows 和 Macintosh 專用 Adobe Flash Player 桌面執行階段的使用者應更新為 Adobe Flash Player 17.0.0.188。
  • 使用 Adobe Flash Player 延伸支援版本的使用者應更新為 Adobe Flash Player 13.0.0.289。
  • 使用 Linux 專用 Adobe Flash Player 的使用者應更新為 Adobe Flash Player 11.2.202.460。
  • 隨 Google Chrome 以及 Windows 8.x 版 Internet Explorer 安裝的 Adobe Flash Player 會自動更新至版本 17.0.0.188。
  • 使用 Adobe AIR 桌面執行階段的使用者應更新至版本 17.0.0.172。
  • 使用 Adobe AIR SDK 和 AIR SDK & Compiler 的使用者應更新至版本 17.0.0.172。

受影響的軟體版本

  • Adobe Flash Player 17.0.0.169 及更早的版本
  • Adobe Flash Player 13.0.0.281 及更早的 13.x 版本
  • Adobe Flash Player 11.2.202.457 及更早的 11.x 版本
  • AIR 桌面執行階段 17.0.0.144 及更早版本
  • AIR SDK 與 SDK 和 Compiler 17.0.0.144 及更早版本 

若要確認您的系統所安裝的 Adobe Flash Player 版本,請進入關於 Flash Player 頁面,或是在 Flash Player 中執行的內容上按一下滑鼠右鍵,然後從選單選擇「關於 Adobe (或 Macromedia) Flash Player」。如果您使用多種瀏覽器,請對安裝在系統中的每個瀏覽器均進行檢查。have installed on your system.

如要確認您系統上安裝的 Adobe AIR 版本,請依照 Adobe AIR TechNote 中的說明。

解決方法

Adobe 建議使用者依照下列說明更新其軟體安裝: 

  • Adobe 建議使用 Windows 和 Macintosh 的 Adobe Flash Player 桌面執行階段使用者前往 Adobe Flash Player 下載中心更新至 Adobe Flash Player 17.0.0.188,或是透過產品本身的更新機制,依照提示安裝更新。

  • Adobe 建議 Adobe Flash Player 延伸支援版本的使用者應前往 http://helpx.adobe.com/tw/flash-player/kb/archived-flash-player-versions.html,更新至版本 13.0.0.289。

  • Adobe 建議使用 Linux 專用 Adobe Flash Player 的使用者前往 _twAdobe Flash Player 下載中心,以更新至 Adobe Flash Player 11.2.202.460。

  • 隨 Google Chrome 安裝的 Adobe Flash Player 會自動更新至最新的 Google Chrome 版本,其中包含 Adobe Flash Player 17.0.0.188。 

  • 隨 Windows 8.x 版 Internet Explorer 安裝的 Adobe Flash Player 會自動更新至最新的版本,其中包含 Adobe Flash Player 17.0.0.188。 

  • Adobe 建議使用 Adobe AIR 桌面執行階段的使用者應前往 Adobe AIR 下載中心,更新至版本 17.0.0.172。  

  • Adobe 建議使用 Adobe AIR SDK 的使用者應前往 Adobe AIR 下載中心,更新至版本 17.0.0.172。  

  • Adobe 建議使用 Adobe AIR SDK & Compiler 的使用者應前往 Adobe AIR 下載中心,更新至版本 17.0.0.172。

優先順序與嚴重性分級

Adobe 依照下列優先順序分級將這些更新分類,並建議使用者將其安裝更新至最新版本:

產品 受影響的版本 平台 優先順序分級
Adobe Flash Player 桌面執行階段 17.0.0.169 及舊版
Windows 與 Macintosh
1
Adobe Flash Player 延伸支援版本 13.0.0.281 及舊版 Windows 與 Macintosh
1
適用於 Google Chrome 的 Adobe Flash Player  17.0.0.169 及舊版 Windows、Macintosh 和 Linux
1
Internet Explorer 10 和 Internet Explorer 11 適用的 Adobe Flash Player 17.0.0.169 及舊版 Windows 8.0 和 8.1 1
Adobe Flash Player 11.2.202.457 及舊版 Linux 3
AIR 桌面執行階段 17.0.0.144 和舊版 Windows 與 Macintosh  3
AIR SDK 17.0.0.144 和舊版 Windows、Macintosh、Android 和 iOS  3
AIR SDK & Compiler 17.0.0.144 和舊版 Windows、Macintosh、Android 和 iOS  3

這些更新可解決軟體中的重大弱點。

詳細資訊

Adobe 已發佈 Windows、Macintosh 和 Linux 專用 Adobe Flash Player 的安全性更新。這些更新可解決可能允許攻擊者控制受影響系統的弱點。Adobe 建議使用者將其產品安裝更新至最新版本:

  • 使用 Windows 和 Macintosh 專用 Adobe Flash Player 桌面執行階段的使用者應更新為 Adobe Flash Player 17.0.0.188。

  • 使用 Adobe Flash Player 延伸支援版本的使用者應更新為 Adobe Flash Player 13.0.0.289。

  • 使用 Linux 專用 Adobe Flash Player 的使用者應更新為 Adobe Flash Player 11.2.202.460。

  • 隨 Google Chrome 以及 Windows 8.x 版 Internet Explorer 安裝的 Adobe Flash Player 會自動更新至版本 17.0.0.188。

  • 使用 Adobe AIR 桌面執行階段的使用者應更新至版本 17.0.0.172。

  • 使用 Adobe AIR SDK 和 AIR SDK & Compiler 的使用者應更新至版本 17.0.0.172。

這些更新能解決可能導致程式碼執行的記憶體損毀弱點 (CVE-2015-3078、CVE-2015-3089、CVE-2015-3090、CVE-2015-3093)。

這些更新能解決可能導致程式碼執行的堆積溢位弱點 (CVE-2015-3088)。 

這些更新能解決「檢查時間」(time-of-check) 與「使用時間」(time-of-use) (即 TOCTOU) 競用狀況,以避免在 Internet Explorer 中遭到利用藉以規避「保護模式」(CVE-2015-3081)。 

這些更新能解決略過驗證問題,此問題可能會遭到有心人士利用,藉以透過使用者權限將任意資料寫入至檔案系統 (CVE-2015-3082、CVE-2015-3083、CVE-2015-3085)。  

這些更新能解決可能導致程式碼執行的整數溢位弱點 (CVE-2015-3087)。 

這些更新能解決可能導致程式碼執行的類型混淆弱點 (CVE-2015-3077、CVE-2015-3084、CVE-2015-3086)。

這些更新能解決可能導致程式碼執行的釋放後繼續使用 (use-after-free) 弱點 (CVE-2015-3080)。

這些更新能解決可能導致略過位址空間配置隨機 (ASLR) 的記憶體洩漏弱點 (CVE-2015-3091、CVE-2015-3092)。 

這些更新能決可能導致資訊外洩的安全性略過弱點 (CVE-2015-3079),並提供額外的強化措施以針對 CVE-2015-3044 提供防護。 

受影響的軟體   建議的播放器更新 上市情況
Flash Player 桌面執行階段
  17.0.0.188

Flash Player 下載中心

Flash Player 散發

Flash Player 延伸支援版本   13.0.0.289 延伸支援
Linux 適用的 Flash Player   11.2.202.460 Flash Player 下載中心
適用於 Google Chrome 的 Flash Player   17.0.0.188 Google Chrome 發行版本
Internet Explorer 10 和 Internet Explorer 11 適用的 Flash Player   17.0.0.188
Microsoft 安全性公告
AIR 桌面執行階段   17.0.0.172 AIR 下載中心
AIR SDK   17.0.0.172 AIR SDK 下載
AIR SDK & Compiler   17.0.0.172 AIR SDK 下載

鳴謝

Adobe 在此感謝以下個人和組織提報相關問題並與 Adobe 合作協助保護我們的客戶:

  • 與 Chromium 弱點獎勵計畫合作的 bilou (CVE-2015-3080、CVE-2015-3093、CVE-2015-3089、CVE-2015-3087、CVE-2015-3088)   

  • Google Project Zero 的 Chris Evans (CVE-2015-3078、CVE-2015-3090、CVE-2015-3091、CVE-2015-3092)

  • KeenTeam (@K33nTeam) 的 Jietao Yang 和 Jihui Lu (CVE-2015-3083)

  • KeenTeam (@K33nTeam) 的 Jietao Yang (CVE-2015-3082)

  • KeenTeam (@K33nTeam) 的 Jihui Lu (CVE-2015-3081)

  • Klikki Oy 的 Jouko Pynnönen 和 Bas Venis (CVE-2015-3044、CVE-2015-3079)

  • Google Project Zero 的 Natalie Silvanovich (CVE-2015-3077、CVE-2015-3084、CVE-2015-3086)

  • 與 HP 零時差計畫合作的 Nicolas Joly (CVE-2015-3085)

修訂

2015 年 7 月 3 日: 新增嗚謝,致獨立舉報 CVE-2015-3044 和 CVE-2015-3079 的 Bas Venis。